Package org.oasis_open.docs.ws_calendar.ns.soap

# Class BaseResponseType

java.lang.Object
org.oasis_open.docs.ws_calendar.ns.soap.BaseResponseType

Direct Known Subclasses:
  `AddItemResponseType`, `DeleteItemResponseType`, `FetchItemResponseType`, `FreebusyReportResponseType`, `GetInfoResponseType`, `GetPropertiesResponseType`, `KeepAliveResponseType`, `MultiOpResponseType`, `MultistatusType`, `PropstatType`, `RefreshResponseType`, `StartServiceResponseType`, `SubscribeResponseType`, `SubscriptionStatusResponseType`, `UnsubscribeResponseType`, `UpdateItemResponseType`

public abstract class BaseResponseType extends Object
Responses have this as the base type. If the request had an id attribute its value will be set as the response id attribute value.

Java class for BaseResponseType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="BaseResponseType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="status" type="{http://docs.oasis-open.org/ws-calendar/ns/soap}StatusType"/>
             <element name="message" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="errorResponse" type="{http://docs.oasis-open.org/ws-calendar/ns/soap}ErrorResponseType" minOccurs="0"/>
           </sequence>
           <attribute name="id" type="{http://www.w3.org/2001/XMLSchema}int" default="0" />
         </restriction>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected ErrorResponseType`
  `errorResponse`
  `protected Integer`
  `id`
  `protected String`
  `message`
  `protected StatusType`
  `status`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BaseResponseType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ErrorResponseType`
  `getErrorResponse()`
  Gets the value of the errorResponse property.
  `int`
  `getId()`
  Gets the value of the id property.
  `String`
  `getMessage()`
  Gets the value of the message property.
  `StatusType`
  `getStatus()`
  Gets the value of the status property.
  `void`
  `setErrorResponse(ErrorResponseType value)`
  Sets the value of the errorResponse property.
  `void`
  `setId(Integer value)`
  Sets the value of the id property.
  `void`
  `setMessage(String value)`
  Sets the value of the message property.
  `void`
  `setStatus(StatusType value)`
  Sets the value of the status property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### status

    protected StatusType status

  - ### message

    protected String message

  - ### errorResponse

    protected ErrorResponseType errorResponse

  - ### id

    protected Integer id

- ## Constructor Details

  - ### BaseResponseType

    public BaseResponseType()

- ## Method Details

  - ### getStatus

    public StatusType getStatus()
    Gets the value of the status property.
    Returns:
      possible object is `StatusType`

  - ### setStatus

    public void setStatus(StatusType value)
    Sets the value of the status property.
    Parameters:
      `value` - allowed object is `StatusType`

  - ### getMessage

    public String getMessage()
    Gets the value of the message property.
    Returns:
      possible object is `String`

  - ### setMessage

    public void setMessage(String value)
    Sets the value of the message property.
    Parameters:
      `value` - allowed object is `String`

  - ### getErrorResponse

    public ErrorResponseType getErrorResponse()
    Gets the value of the errorResponse property.
    Returns:
      possible object is `ErrorResponseType`

  - ### setErrorResponse

    public void setErrorResponse(ErrorResponseType value)
    Sets the value of the errorResponse property.
    Parameters:
      `value` - allowed object is `ErrorResponseType`

  - ### getId

    public int getId()
    Gets the value of the id property.
    Returns:
      possible object is `Integer`

  - ### setId

    public void setId(Integer value)
    Sets the value of the id property.
    Parameters:
      `value` - allowed object is `Integer`